Storyden
Plugins

Plugin Add

Add a plugin to the instance. This will not install or activate the plugin immediately. It will validate and prepare the plugin for install. Plugins can be uploaded directly as files or via a URL to a repository.

POST/plugins

Add a plugin to the instance. This will not install or activate the plugin immediately. It will validate and prepare the plugin for install.

Plugins can be uploaded directly as files or via a URL to a repository.

Authorization

storyden-session<token>

In: cookie

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

body?file
Formatbinary

Response Body

application/json

application/json

curl -X POST "https://example.com/plugins" \  -H "Content-Type: application/json" \  -d '{    "mode": "supervised",    "url": "http://example.com"  }'
{  "id": "string",  "added_at": "2019-08-24T14:15:22Z",  "name": "string",  "description": "string",  "version": "string",  "status": {    "active_state": "inactive",    "deactivated_at": "2019-08-24T14:15:22Z"  },  "manifest": {},  "connection": {    "mode": "supervised"  }}